Bug 984142 - kbibtex segfaults on startup
kbibtex segfaults on startup
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kbibtex (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 20:30 EDT by James Boulton
Modified: 2013-07-23 23:42 EDT (History)
1 user (show)

See Also:
Fixed In Version: kbibtex-0.4.1-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 23:42:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Boulton 2013-07-12 20:30:36 EDT
Description of problem:
segfaults on startup

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Start kbibtex
2.
3.

Actual results:
bibtex crash handler

Expected results:


Additional info:
Application: KBibTeX (kbibtex), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f0e8da688c0 (LWP 1999))]

Thread 4 (Thread 0x7f0e7e82f700 (LWP 2013)):
#0  0x00000038ae00b575 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x000000352eec9abd in WTF::TCMalloc_PageHeap::scavengerThread() () from /lib64/libQtWebKit.so.4
#2  0x000000352eec9af9 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /lib64/libQtWebKit.so.4
#3  0x00000038ae007c53 in start_thread () from /lib64/libpthread.so.0
#4  0x00000038adcf513d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f0e77fff700 (LWP 2014)):
#0  0x00000038adce698d in read () from /lib64/libc.so.6
#1  0x00000038bb601e41 in ?? () from /usr/lib64/nvidia/tls/libnvidia-tls.so.319.23
#2  0x00000038b0086520 in g_wakeup_acknowledge () from /lib64/libglib-2.0.so.0
#3  0x00000038b0047c1c in g_main_context_check () from /lib64/libglib-2.0.so.0
#4  0x00000038b004808b in g_main_context_iterate.isra.22 () from /lib64/libglib-2.0.so.0
#5  0x00000038b004855a in g_main_loop_run () from /lib64/libglib-2.0.so.0
#6  0x00000038b14c6d46 in gdbus_shared_thread_func () from /lib64/libgio-2.0.so.0
#7  0x00000038b006c185 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#8  0x00000038ae007c53 in start_thread () from /lib64/libpthread.so.0
#9  0x00000038adcf513d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f0e775f5700 (LWP 2015)):
#0  0x00000038ae00b575 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x000000352ec0b3fd in JSC::BlockAllocator::blockFreeingThreadMain() () from /lib64/libQtWebKit.so.4
#2  0x000000352eef9316 in WTF::wtfThreadEntryPoint(void*) () from /lib64/libQtWebKit.so.4
#3  0x00000038ae007c53 in start_thread () from /lib64/libpthread.so.0
#4  0x00000038adcf513d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f0e8da688c0 (LWP 1999)):
[KCrash Handler]
#5  0x0000000000426a69 in UrlPreview::UrlPreviewPrivate::setupGUI() ()
#6  0x00000000004248d5 in UrlPreview::UrlPreview(QDockWidget*) ()
#7  0x000000000041ac7b in KBibTeXMainWindow::KBibTeXMainWindow() ()
#8  0x0000000000415369 in main ()
Comment 1 James Boulton 2013-07-13 17:15:34 EDT
'yum install okular' fixes this bug. Mayme okular needs to be a dependancy.
Comment 2 Fedora Update System 2013-07-14 09:46:08 EDT
kbibtex-0.4.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kbibtex-0.4.1-3.fc19
Comment 3 Fedora Update System 2013-07-14 21:01:41 EDT
Package kbibtex-0.4.1-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kbibtex-0.4.1-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12984/kbibtex-0.4.1-3.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-23 23:42:47 EDT
kbibtex-0.4.1-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.